-- simple lua script integration with c++
-- print hello world
print "Hello, World!"

print "---------------------"

-- call MyFunction in C++
MyFunction(7,7,7,"You Are Awesome!")
print "This function was called by Lua and is Defined in C++"

-- function add to be called by C++
-- function definition of add

function add ( x, y)
	return x + y
end

-- end of function

-- global variable gravity
gravity = 9.8;

-- class from c++ "Player"
-- player has methods SetPlayerValues and PlayerFunction
-- GetHealth, GetAgility,GetIntelligence,GetStrength,GetPlayerID,
-- and GetLevel

-- we can add new functions to the player class in script too!

function Player:showStats()
	print("Player ID: ", self:GetPlayerID())
	print("Player Level: ", self:GetLevel())
	print("Health: ", self:GetHealth())
	print("Strength: ", self:GetStrength())
	print("Agility: ", self:GetAgility())
	print("Intelligence: ", self:GetIntelligence())
end

print "-------------------------"
-- new player with ID 0 and Level 1
myplayer = Player(0,1);
playerno2 = Player(1,1);

print "------------------------"


-- call PlayerFunction() of myplayer of Player class
myplayer:PlayerFunction()
playerno2:PlayerFunction()
print "------------------------"

print "beginning of player class access"
print "These are Player's default starting values"

-- call Showstats
myplayer:showStats()

print "-------------------------"
print "clearly these numbers are broken values for any game!"
print "we need to balance them in script!"

-- call SetPlayerValues
print "These are the Player's modified values after Lua Script"
myplayer:SetPlayerValues(100,5,5,5);
myplayer:showStats()


print "------------------------"

print "thanks for using jason kim's Lua Example/Tutorial!"